; Obtiene la primera dirección de atributo de un tercio
; en base a una dirección de memoria de la pantalla
org     $5dad

ld      hl, $4529               ; Cargar la dirección dada en HL
ld      a, h                    ; Cargar el octeto de mayor orden en A
and     $18                     ; Elegir sólo los bits 3 y 4 para hallar a
                                ; que porción de pantalla pertenece
sra     a                       ; Desplazar a la derecha el acumulador
sra     a                       ; 3 veces - ie. divide por 8. El resultado
sra     a                       ; puede ser 0, 1 ó 2, dependiendo de si H
                                ; fue $40, $48 ó $58
add     a, $58                  ; Pasar a memoria de atributos
ld      h, a                    ; H contiene la dirección del atributo
                                ; ie. H = $58, $59 ó $5A
                                ; L sigue siendo el mismo

ret