; Simula una alarma sin usar BEEP, usando OUT.
; Altera los registros: A, B y C.
org     $5dad

Inicio:
    ld      c, $01          ; Pausa inicial
Fase1:
    call    Activa          ; Activa el altavoz
    call    Desactiva       ; Desactiva el altavoz
    inc     c               ; Incrementa C
    jr      nz, Fase1       ; Si no es cero sigue en Fase1

Fase2:
    call    Activa          ; Activa el altavoz
    call    Desactiva       ; Desactiva el altavoz
    dec     c               ; Decrementa C
    jr      z, Fase1        ; Si es 0 vuelve a empezar
    jr      Fase2           ; Bucle hasta que C sea cero

Activa:
    ld      a, $10          ; A = indicador activar altavoz
    out     ($fe), a        ; Activa altavoz
    jr      Pausa           ; Pausa

Desactiva:
    xor     a               ; A = indicador desectivar altavoz
    out     ($fe), a        ; Desactiva altavoz
    jr      Pausa           ; Pausa

Pausa:
    ld      b, c            ; Carga en valor de C en B
Pausa_loop:
    djnz Pausa_loop         ; Bucle hasta que B sea cero
    ret

end     $5dad