; Calcula el atributo de la posición de pantalla $4529
org     $5dad

; Limpia la pantalla
ld      hl, $4000           ; HL = primera posición de la pantalla
ld      de, $4001           ; DE = segunda posición de la pantalla
ld      bc, $17ff           ; BC = bytes de la pantalla - 1
ld      (hl), $00           ; Limpia la primera posición de la pantalla
ldir                        ; Limpia el resto de la pantalla

; Pone el borde azul
ld      a, $01
out     ($fe), a

; Pinta en pantalla para ver el atributo
; $4529, $4e70, $53ff
ld      hl, $4529           ; Apunta HL a la dirección de pantalla
ld      (hl), $ff           ; Dibuja el patrón 11111111

; Obtiene el tercio
ld      a, h                ; A = parte alta de la dirección de memoria
and     $18                 ; Se queda con el tercio
rra 
rra 
rra                         ; Pasa el valor a los bits 0 y 1
    
; Calcula la dirección del atributo
add     a, $58              ; A = A + parte alta de la dirección de inicio de los atributos ($58)
ld      h, a                ; HL = dirección del atributo

; Pinta el atributo
ld      (hl), $96           ; Lo pone en PAPER 2, INK 6, Flash 1

; Espera hasta que se pulse SPACE
Tecla:
ld      a, $7f              ; A = Semifila SPACE-B
in      a, ($fe)            ; Lee la semifila
and     $01                 ; Evalúa si se ha pulsado la tecla SPACE
jr      nz, Tecla           ; Bucle hasta que se pulse

; Vuele al BASIC
ret

end     $5dad